Skip to content
Start here

Create email scanner rule

zero_trust.dlp.email.rules.create(RuleCreateParams**kwargs) -> RuleCreateResponse
POST/accounts/{account_id}/dlp/email/rules

Creates a new DLP email scanning rule that defines what content patterns to detect in email messages and what actions to take.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust Write
ParametersExpand Collapse
account_id: str
action: Action
action: Literal["Block"]
message: Optional[str]
conditions: Iterable[Condition]

Triggered if all conditions match.

operator: Literal["InList", "NotInList", "MatchRegex", "NotMatchRegex"]
One of the following:
"InList"
"NotInList"
"MatchRegex"
"NotMatchRegex"
selector: Literal["Recipients", "Sender", "DLPProfiles"]
One of the following:
"Recipients"
"Sender"
"DLPProfiles"
value: Union[Sequence[str], str]
One of the following:
Sequence[str]
str
enabled: bool
name: str
description: Optional[str]
ReturnsExpand Collapse
class RuleCreateResponse:
action: Action
action: Literal["Block"]
message: Optional[str]
conditions: List[Condition]

Triggered if all conditions match.

operator: Literal["InList", "NotInList", "MatchRegex", "NotMatchRegex"]
One of the following:
"InList"
"NotInList"
"MatchRegex"
"NotMatchRegex"
selector: Literal["Recipients", "Sender", "DLPProfiles"]
One of the following:
"Recipients"
"Sender"
"DLPProfiles"
value: Union[List[str], str]
One of the following:
List[str]
str
created_at: datetime
formatdate-time
enabled: bool
name: str
priority: int
formatint32
minimum0
rule_id: str
formatuuid
updated_at: datetime
formatdate-time
description: Optional[str]

Create email scanner rule

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
rule = client.zero_trust.dlp.email.rules.create(
    account_id="account_id",
    action={
        "action": "Block"
    },
    conditions=[{
        "operator": "InList",
        "selector": "Recipients",
        "value": ["string"],
    }],
    enabled=True,
    name="name",
)
print(rule.rule_id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "action": {
      "action": "Block",
      "message": "message"
    },
    "conditions": [
      {
        "operator": "InList",
        "selector": "Recipients",
        "value": [
          "string"
        ]
      }
    ],
    "created_at": "2019-12-27T18:11:19.117Z",
    "enabled": true,
    "name": "name",
    "priority": 0,
    "rule_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "description": "description"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "action": {
      "action": "Block",
      "message": "message"
    },
    "conditions": [
      {
        "operator": "InList",
        "selector": "Recipients",
        "value": [
          "string"
        ]
      }
    ],
    "created_at": "2019-12-27T18:11:19.117Z",
    "enabled": true,
    "name": "name",
    "priority": 0,
    "rule_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "description": "description"
  }
}